// Alternative Version mit try-with-resources

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;
import java.sql.ResultSet;

public class SimpleQuery2 {
 
	private static final String url =
			 "jdbc:postgresql://localhost/sb";
	private static final String user = "sb";
	private static final String password = "";
 
	public static void main(String[] args) {
 
		// Anfrage:
		String query =
			"SELECT S.NACHNAME, B.PUNKTE " +
			"FROM   STUDENTEN S, BEWERTUNGEN B " +
			"WHERE  S.SID = B.SID " +
			"AND	B.ATYP = 'H' AND B.ANR = 1";

		// Datenbank-Verbindung oeffnen und Anfrage ausfuehren:
		try (
			Connection conn = DriverManager.
				getConnection(url, user, password);
			Statement stmt = conn.createStatement();
			ResultSet rs   = stmt.executeQuery(query);
		){
			while(rs.next()) {
				String stud = rs.getString(1);
				int points = rs.getInt(2);
				System.out.println(stud + ": " + points);
			}
		} catch (SQLException e) {
			System.out.println(e.getMessage());
		}
	}
}
